For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Webhooks
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a memory store
      • GETList memory stores
      • PATCHUpdate a memory store
      • DELDelete a memory store
      • GETGet a memory store
      • POSTAttach a memory store to an agent
      • POSTDetach a memory store from an agent
      • GETGet data for a specific memory store and contact
      • POSTAttach a contact to a memory store
      • POSTDetach a contact from a memory store
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIMemory Stores

List memory stores

||View as Markdown|
GET
/memory_stores
GET
/v2/memory_stores
$curl https://api.synthflow.ai/v2/memory_stores \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "status": "ok",
3 "response": {
4 "items": [
5 {
6 "id": "9ad09ad3-9c22-441e-ae35-c05016a09786",
7 "title": "test",
8 "workspace_id": "abc",
9 "created_at": {},
10 "updated_at": {},
11 "contact_ids": [
12 "string"
13 ]
14 }
15 ],
16 "total": 1,
17 "page_size": 10,
18 "page_number": 1
19 }
20}
Was this page helpful?
Previous

Update a memory store

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

searchstringOptional
The memory store's title.

Response

200
statusstring
responseobject